ApiImpalaQueryDetailsResponse (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiImpalaQueryDetailsResponse

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiImpalaQueryDetailsResponse

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiImpalaQueryDetailsResponse
      extends Object

  A query details response.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiImpalaQueryDetailsResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiImpalaQueryDetailsResponse` | `details(String details)`
    `boolean` | `equals(Object o)`
    `String` | `getDetails()` The details for this query.
    `int` | `hashCode()`
    `void` | `setDetails(String details)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiImpalaQueryDetailsResponse

          public ApiImpalaQueryDetailsResponse()

  - ### Method Detail

    - #### details

          public ApiImpalaQueryDetailsResponse details(String details)

    - #### getDetails

          public String getDetails()

      The details for this query. Two formats are supported: <ul> <li> 'text': this is a text based, human readable representation of the Impala runtime profile. </li> <li> 'thrift_encoded': this a compact-thrift, base64 encoded representation of the impala RuntimeProfile.thrift object. See the Impala documentation for more details. </li> </ul>
      Returns:
        details

    - #### setDetails

          public void setDetails(String details)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.